View Issue Details

IDProjectCategoryView StatusLast Update
0022603LazarusLazUtilspublic2013-05-29 13:52
ReporteroceanAssigned ToBart Broersma 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0022603: Createrelativepath doesn't work
DescriptionThis works:

showmessage(createrelativepath('c:\windows\system32', 'c:\windows\'));

Shows "system32"

This doesn't work

showmessage(createrelativepath('c:\windows\system32', 'c:\'));

Shows "c:\windows\system32"
TagsNo tags attached.
Fixed in Revisionr41036, r41449
LazTarget1.2
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0022538 closedJuha Manninen ShellTreeView property path is missing 
related to 0022630 closedJuha Manninen Converting dpr tries to convert Delphi sources too 

Activities

ocean

2012-08-13 10:14

reporter   ~0061605

SysUtils has ExtractRelativepath, that one works. (Parameters are reversed)

Juha Manninen

2013-05-05 08:30

developer   ~0067440

Bart worked on other similar funcs, and uses Windows. Reassigning..

Bart Broersma

2013-05-05 11:58

developer   ~0067456

Other than this part:

  if UsePointDirectory and (Result='') and (Filename<>'') then
    Result:='.'; // Filename is the BaseDirectory

Should it behave any different from SysUtils.ExtractRelativePath function?
Is there any flaw in SysUtils.ExtractRelativePath() function?

Bart Broersma

2013-05-05 13:23

developer   ~0067462

I used the function from SysUtils to make it work.
The one in FileUtil may fail when it tries to expand a filename with unicode characters in them.
We need to remove those duplicates and move all UTF8 file handling to LazFileUtils.

Please close if OK.

Issue History

Date Modified Username Field Change
2012-08-08 15:02 ocean New Issue
2012-08-08 15:02 ocean Widgetset => Win32/Win64
2012-08-09 21:11 Juha Manninen Relationship added related to 0022538
2012-08-13 10:14 ocean Note Added: 0061605
2012-08-13 10:27 Mattias Gaertner Status new => assigned
2012-08-13 10:27 Mattias Gaertner Assigned To => Mattias Gaertner
2012-08-13 23:57 Juha Manninen Relationship added related to 0022630
2012-08-14 22:45 Mattias Gaertner LazTarget => 1.0
2012-08-28 20:54 Mattias Gaertner LazTarget 1.0 => 1.2
2013-05-05 08:29 Juha Manninen Assigned To Mattias Gaertner => Bart Broersma
2013-05-05 08:30 Juha Manninen Note Added: 0067440
2013-05-05 11:58 Bart Broersma Note Added: 0067456
2013-05-05 13:23 Bart Broersma Fixed in Revision => r41036
2013-05-05 13:23 Bart Broersma Note Added: 0067462
2013-05-05 13:23 Bart Broersma Status assigned => resolved
2013-05-05 13:23 Bart Broersma Fixed in Version => 1.1 (SVN)
2013-05-05 13:23 Bart Broersma Resolution open => fixed
2013-05-23 19:45 ocean Status resolved => closed
2013-05-29 13:52 Bart Broersma Status closed => assigned
2013-05-29 13:52 Bart Broersma Resolution fixed => reopened
2013-05-29 13:52 Bart Broersma Fixed in Revision r41036 => r41036, r41449
2013-05-29 13:52 Bart Broersma Status assigned => resolved
2013-05-29 13:52 Bart Broersma Resolution reopened => fixed
2013-05-29 13:52 Bart Broersma Status resolved => closed